notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
pgpool-II-33 Connection pool server for PostgreSQL
3.3.22 databases Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 3.3.22Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Will be deprecated by upstream, please switch to newer pgpool versions
Expired This port expired on: 2018-07-31
Maintainer: michelle@sorbs.net search for ports maintained by this maintainer
Port Added: 2014-06-29 16:41:04
Last Update: 2018-08-02 11:54:36
SVN Revision: 476231
License: MIT
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (61 items)
Collapse this list.
  1. /usr/local/share/licenses/pgpool-II33-3.3.22/catalog.mk
  2. /usr/local/share/licenses/pgpool-II33-3.3.22/LICENSE
  3. /usr/local/share/licenses/pgpool-II33-3.3.22/MIT
  4. bin/pcp_attach_node
  5. bin/pcp_detach_node
  6. bin/pcp_node_count
  7. bin/pcp_node_info
  8. bin/pcp_pool_status
  9. bin/pcp_proc_count
  10. bin/pcp_proc_info
  11. bin/pcp_promote_node
  12. bin/pcp_recovery_node
  13. bin/pcp_stop_pgpool
  14. bin/pcp_systemdb_info
  15. bin/pcp_watchdog_info
  16. bin/pg_md5
  17. bin/pgpool
  18. @sample etc/pcp.conf.sample
  19. @sample etc/pgpool.conf.sample
  20. etc/pgpool.conf.sample-master-slave
  21. etc/pgpool.conf.sample-replication
  22. etc/pgpool.conf.sample-stream
  23. @sample etc/pool_hba.conf.sample
  24. include/libpcp_ext.h
  25. include/pcp.h
  26. include/pool_process_reporting.h
  27. include/pool_type.h
  28. lib/libpcp.a
  29. lib/libpcp.so
  30. lib/libpcp.so.0
  31. lib/libpcp.so.0.0.0
  32. lib/postgresql/pgpool-recovery.so
  33. lib/postgresql/pgpool-regclass.so
  34. man/man8/pgpool.8.gz
  35. share/doc/pgpool-II/AUTHORS
  36. share/doc/pgpool-II/COPYING
  37. share/doc/pgpool-II/ChangeLog
  38. share/doc/pgpool-II/INSTALL
  39. share/doc/pgpool-II/NEWS
  40. share/doc/pgpool-II/README
  41. share/doc/pgpool-II/README.euc_jp
  42. share/doc/pgpool-II/TODO
  43. share/doc/pgpool-II/pgpool-en.html
  44. share/doc/pgpool-II/pgpool-ja.html
  45. share/doc/pgpool-II/pgpool.css
  46. share/doc/pgpool-II/tutorial-en.html
  47. share/doc/pgpool-II/tutorial-ja.html
  48. share/examples/pgpool-II/pgpool_recovery
  49. share/examples/pgpool-II/pgpool_recovery_pitr
  50. share/examples/pgpool-II/pgpool_remote_start
  51. share/pgpool-II/dist_def_pgbench.sql
  52. share/pgpool-II/insert_lock.sql
  53. share/pgpool-II/pgpool.pam
  54. share/pgpool-II/replicate_def_pgbench.sql
  55. share/pgpool-II/system_db.sql
  56. share/postgresql/contrib/pgpool-recovery.sql
  57. share/postgresql/contrib/pgpool-regclass.sql
  58. share/postgresql/contrib/uninstall_pgpool-recovery.sql
  59. share/postgresql/contrib/uninstall_pgpool-regclass.sql
  60. @postexec /usr/sbin/service ldconfig restart > /dev/null
  61. @postunexec /usr/sbin/service ldconfig restart > /dev/null
Collapse this list.
Dependency lines:
  • For RUN/BUILD depends:
    • pgpool-II33>0:databases/pgpool-II-33
  • For LIB depends:
    • libpcp.so:databases/pgpool-II-33
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: pgpool-II33
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
pgpool-II33
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd64--
FreeBSD:11:armv63.3.7-
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips643.3.7-
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. gmake : devel/gmake
  2. psql : databases/postgresql95-client
Runtime dependencies:
  1. rsync : net/rsync
  2. psql : databases/postgresql95-client
  3. perl5>=5.26<5.27 : lang/perl5.26
There are no ports dependent upon this port

Configuration Options:
Options name:

USES:

Master Sites:
Expand this list (1 items)
Collapse this list.
  1. http://www.pgpool.net/mediawiki/images/
Collapse this list.
Port Moves
  • port moved to databases/pgpool-II-35 on 2018-08-02
    REASON: Has expired: Will be deprecated by upstream, please switch to newer pgpool versions

Number of commits found: 16

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
02 Aug 2018 11:54:36
Original commit files touched by this commit Revision:476231  3.3.22
rene search for other commits by this committer
Remove expired ports:
2018-07-31 net/rubygem-gitaly-proto096: Obsoleted by update of www/gitlab-ce.
Please use net/rubygem-gitaly-proto instead.
2018-07-31 security/tripwire12: unfetchable
2018-07-31 security/rubygem-rbnacl4: Obsoleted by update of www/gitlab-ce.
Please use security/rubygem-rbnacl instead.
2018-07-31 www/rubygem-gon61: Obsoleted by update of www/gitlab-ce. Please use
www/rubygem-gon instead.
2018-07-31 databases/pgpool-II-33: Will be deprecated by upstream, please switch
to newer pgpool versions
2018-07-31 devel/rubygem-grape-entity060: Obsoleted by update of www/gitlab-ce.
Please use devel/rubygem-grape-entity instead.
2018-07-31 net/rubygem-gitaly-proto099: Obsoleted by update of www/gitlab-ce.
Please use net/rubygem-gitaly-proto instead.
2018-07-31 net/rubygem-gitaly-proto095: Obsoleted by update of www/gitlab-ce.
Please use net/rubygem-gitaly-proto instead.
2018-07-31 net/rubygem-omniauth-github11: Obsoleted by update of www/gitlab-ce.
Please use net/rubygem-omniauth-github instead.
2018-07-31 net/rubygem-asset_sync220: Obsoleted by update of www/gitlab-ce.
Please use net/rubygem-asset_sync instead.
2018-07-31 www/rubygem-gollum-lib-gitlab: Obsoleted by update of www/gitlab-ce.
Please use www/rubygem-gitlab-gollum-lib instead.
2018-08-01 www/py-django-threaded-multihost: Project development unmaintained
2018-08-01 www/py-django-keyedcache: Project development abandoned
2018-08-01 www/py-django-signals-ahoy: Project development unmaintained
31 Jul 2018 08:13:28
Original commit files touched by this commit Revision:475974  3.3.22
tz search for other commits by this committer
databases/pgpool-II-33: Update from 3.3.20 to 3.3.22

Changelogs:
- http://www.pgpool.net/docs/latest/en/html/release-3-3-21.html
- http://www.pgpool.net/docs/latest/en/html/release-3-3-22.html

Please note that 3.3.22 is the last release of 3.3 series.
24 Jun 2018 00:54:27
Original commit files touched by this commit Revision:473169  3.3.20_1
linimon search for other commits by this committer
Workaround the following problem on aarch64 by setting LLD_UNSAFE=yes:

  cc: error: invalid linker name in argument '-fuse-ld=bfd'

Neither emaste nor I can figure out exactly where the offending stanza is
coming in.  It will take someone with more knowledge of gmake debug flags,
and possibly the src build infrastructure, to figure it out.

While here, pet portlint.

Approved by:	portmgr (tier-2 blanket)
17 May 2018 09:32:04
Original commit files touched by this commit Revision:470211  3.3.20_1
tz search for other commits by this committer
databases/pgpool-II-33: Fix build with LibreSSL

The build was broken after the latest update of the port,
but only on amd64, not i386.

PR:		226099
Submitted by:	w.schwarzenfeld@utanet.at
Reported by:	dewayne@heuristicsystems.com.au
21 Feb 2018 10:51:20
Original commit files touched by this commit Revision:462488  3.3.20
tz search for other commits by this committer
databases/pgpool-II-33: Update from 3.3.7 to 3.3.20

While here:
- set EXPIRATION_DATE and mark DEPRECATED because of incoming EOL
- clean up conflicts
- add LIB_DEPENDS when option is set
- regenerate patches with make makepatch
16 Feb 2018 17:52:50
Original commit files touched by this commit Revision:462050  3.3.7
brnrd search for other commits by this committer
BROKEN_SSL: Add REASON for breakage

Reported by:	matwq
16 Feb 2018 14:03:22
Original commit files touched by this commit Revision:462016  3.3.7
brnrd search for other commits by this committer
security/openssl-devel: Mark broken databases cat
15 Mar 2017 14:45:55
Original commit files touched by this commit Revision:436248  3.3.7
mat search for other commits by this committer
Remove all _USE=openssl occurrences.

Sponsored by:	Absolight
14 Nov 2016 03:15:04
Original commit files touched by this commit Revision:426080  3.3.7
danfe search for other commits by this committer
- Remove redundant definitions of IPV6_DESC and [OPEN]SSL_DESC when closely
  matching standard ones from `Mk/bsd.options.desc.mk'
- Rename couple of options to standard name or the one that better reflects
  their usage
23 May 2016 20:35:01
Original commit files touched by this commit Revision:415742  3.3.7
amdmi3 search for other commits by this committer
Remove NLS, DOCS, EXAMPLES and IPV6 from OPTIONS_DEFAULT, they are enabled by
default anyway and don't need to be listed

Approved by:	portmgr blanket
01 Apr 2016 14:00:57
Original commit files touched by this commit Revision:412346  3.3.7
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories d, e, f, and g.

With hat:	portmgr
Sponsored by:	Absolight
12 Aug 2015 03:11:38
Original commit files touched by this commit Revision:394003  3.3.7
junovitch search for other commits by this committer
databases/pgpool-II-33: update 3.3.3_1 -> 3.3.7

PR:		201862
Submitted by:	Michelle Sullivan <michelle@sorbs.net> (maintainer)
Approved by:	pgollucci (mentor)
11 Dec 2014 05:26:39
Original commit files touched by this commit Revision:374511  3.3.3_1
koobs search for other commits by this committer
databases/libmemcached: Update to 1.0.18 and much more

- Update to 1.0.18 and pkg-plist accordingly
- Add LICENSE (BSD3CLAUSE) and LICENSE_FILE
- Add TEST_DEPENDS and regression-test target
- Perl is not required, remove USE_PERL and from USES
- Split LDFLAGS from CONFIGURE_ENV, they're already set there
- Add libmemcachedprotocol to CONFIGURE_ARGS (Now default: off)
- Add OPTIONS for hash functions, debug and dtrace
- pkg-descr: Update WWW: URL
- Add patches for:
  * alloca.h include not found on FreeBSD
  * cinttypes include location
  * clang compatibility
- Strip shared libraries manually since upstream install-strip target is
  fail

Changes:

  https://launchpad.net/libmemcached/+announcements

[1] https://bugs.launchpad.net/libmemcached/+bug/1245562
[2] https://bugs.launchpad.net/libmemcached/+bug/1400560

Approved by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com> (maintainer, via email)
06 Dec 2014 22:24:47
Original commit files touched by this commit Revision:374161  3.3.3
feld search for other commits by this committer
The pgpool license is actually an old minimal variant of the MIT license

Submitted by:	antoine
20 Oct 2014 10:41:13
Original commit files touched by this commit Revision:371255  3.3.3
bapt search for other commits by this committer
Cleanup plist
29 Jun 2014 16:40:55
Original commit files touched by this commit Revision:359786  3.3.3
matthew search for other commits by this committer
New port databases/pgpool-II-33

Repo copy from databases/pgpool-II. Changes from that port:

 - New port for pgpool-II33-3.3.3

 - Stagify

 - Add libtool, gmake, pgsql, perl5 to USES.  Drop .la files -- this is a
   new port, so there can't be any pre-existing consumers of the .la files
   to worry about.

 - Use options helpers

 - The configure used with this software is buggy and doesn't understand
(Only the first 15 lines of the commit message are shown above View all of this commit message)

Number of commits found: 16